# RoundControl
Date: 2011-05-10

## jrummikub.control
Class RoundControl

    java.lang.Object
      jrummikub.control.RoundControl

    public class RoundControl

extends java.lang.Object

Controller that manages a single round of rummikub

Constructor Summary
`RoundControl(IGameState gameState, IView view)` Create a new RoundControl using the given gameState and view

Method Summary
`(package private) void` `deal()`
`(package private) void` `dealStone()`
`IEvent` `getEndRoundEvent()` End the round
`void` `startRound()` Begin the round
`(package private) static java.util.Set<Stone>` `tableDifference(ITable oldTable, ITable newTable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoundControl

    public RoundControl(IGameState gameState,
                        IView view)

  Create a new RoundControl using the given gameState and view

  Parameters:
    `gameState` - initial game state
    `view` - view used for user interaction

Method Detail

### getEndRoundEvent

    public IEvent getEndRoundEvent()

  End the round

  Returns:
    endRoundEvent

### startRound

    public void startRound()

  Begin the round

### deal

    void deal()

### tableDifference

    static java.util.Set<Stone> tableDifference(ITable oldTable,
                                                ITable newTable)

### dealStone

    void dealStone()